@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400;600;800&display=swap');
@import 'animate.css';
:focus {
    outline: none !important;
    shadow: none !important;
}
::-moz-focus-inner {
    border: 0 !important;
}
.website-header-container {
    @apply absolute top-0 left-0 right-0 z-50;
}
.website-header {
    @apply py-2 relative;
}
.website-header:before{
    content: '';
    @apply absolute top-0 left-0 right-0 h-full z-10;
    background: linear-gradient(rgb(9, 28, 40), rgba(0,0,0,0));
}
.website-header .container{
    @apply relative z-20
}
.website-header .logo-texto {
    @apply text-xl uppercase font-bold;
}
.website-header .logo{
    top: 2.25rem;
    @apply h-32 relative w-auto;
}
.website-header .website-nav {
    @apply space-x-5;
}
.website-header .website-nav a{
    @apply text-white text-xs uppercase font-bold;
}
.website-header .website-nav .submenu {
    @apply inline-block relative;
}
.website-header .website-nav .submenu .contenido_de_submenu {
    @apply tarjeta absolute opacity-0 top-full left-0 w-auto invisible transition-all duration-500;
}
.website-header .website-nav .submenu:hover .contenido_de_submenu {
    @apply visible opacity-100;
}
.website-header .website-nav .submenu .contenido_de_submenu nav {
    @apply flex flex-col;
}
.website-header .website-nav .submenu .contenido_de_submenu nav a {
    @apply text-gray-500 block pt-2 pl-0 text-xs uppercase font-bold transition-all whitespace-nowrap;
}
.website-header .website-nav .submenu .contenido_de_submenu nav a:hover {
    @apply text-primario;
}
.website-header .website-nav .submenu .contenido_de_submenu nav a:not(:last-child) {
    @apply border-primario border-opacity-25 border-b pb-2;
}
.website-footer{
    @apply bg-negro py-24;
}
.website-pre-header {
    @apply py-2
}
.website-portada {
    @apply bg-primario relative overflow-hidden;
}
.curva-portada{
    left: -15px;
    right: -15px;
    max-width: none;
    width: calc(100vw + 30px);
    bottom: -3px;
    @apply absolute h-auto z-10;
}
.banner {
    @apply bg-cover bg-no-repeat bg-center relative px-7;
}
.banner:before {
    content: '';
    opacity: .6;
    @apply w-full h-full absolute top-0 left-0 bg-black;
}
.banner, .banner .container {
    height: 680px;
}
.banner .container {
    padding-top: 70px;
    @apply flex items-center relative z-20;
}
.titulo {
    @apply text-5xl font-bold leading-snug uppercase;
}

.subtitulo {
    @apply text-xl font-bold leading-snug uppercase;
}
.titulo-formulario {
    @apply text-xl mb-5 uppercase;
}
.descripcion {
    @apply text-xl leading-relaxed;
}
.tarjeta {
    @apply bg-white rounded shadow-lg p-7;
}
.tarjeta-sin-padding {
    @apply bg-white rounded shadow overflow-hidden;
}
.descripcion-de-tarjeta {
    @apply p-7;
}
label {
    @apply text-xs uppercase font-bold mb-2 block;
}
.campo-texto {
    outline: none !important;
    box-shadow: none !important;
    @apply py-2 px-3 outline-none shadow-none rounded border-2 border-primario border-opacity-25 block w-full;
}
.campo-texto:focus, .campo-texto:active {
    @apply border-2 border-primario border-opacity-50;
}
.btn {
    @apply py-2 px-3 rounded transition-all duration-300;
}
.btn-envio {
    @apply bg-primario text-white inline-block;
}
.btn-envio:hover {
    @apply bg-primario bg-opacity-75 text-white inline-block;
}
.btn-regular {
    @apply border border-primario text-primario inline-block;
}
.btn-regular:hover {
    @apply border border-primario bg-primario text-white inline-block;
}
.formulario-de-registro {
    width: 450px;
    height: 486px;
    left: calc(50% - -112px);
    top: 150px;
    @apply absolute tarjeta justify-center items-center z-20;
}
.textura-oscura{
    background-image: url('/img/texturas/1.jpg');
    @apply bg-repeat;
}

.curva-fondo{
    @apply relative;
}

.curva-fondo .container{
    @apply relative z-10;
}

@media screen and (max-width: 640px){

    .titulo {
        @apply text-2xl;
    }

    .subtitulo {
        @apply text-lg;
    }

    .website-header .logo{
        top: 1.75rem;
        @apply h-32;
    }

    .descripcion {
        @apply text-base leading-5;
    }

    .descripcion-de-tarjeta {
        @apply p-3;
    }

    .banner {
        @apply px-7;
    }

    .banner, .banner .container {
        height: 500px !important;
    }

    .curva-portada{
        max-width: none;
        margin: 0 -15px;
        width: calc(100vw + 35px);
        @apply absolute h-auto z-10;
    }

    .formulario-de-registro.movil {
        width: 100%;
        height: auto;
        left: 0;
        top: 0;
        @apply relative tarjeta justify-center items-center z-20;
    }
    .website-footer{
        @apply bg-negro py-10;
    }
}

